Get organization PostgreSQL metrics
Disclaimer: This beta endpoint is evolving; the API contract may change.
Returns Prometheus metrics for all PostgreSQL services in an organization. Maximum 100 services supported.
GET
/
v1
/
organizations
/
{organizationId}
/
postgres
/
prometheus
Get organization PostgreSQL metrics
curl --request GET \
--url https://api.clickhouse.cloud/v1/organizations/{organizationId}/postgres/prometheus \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.clickhouse.cloud/v1/organizations/{organizationId}/postgres/prometheus"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.clickhouse.cloud/v1/organizations/{organizationId}/postgres/prometheus', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"status": 400,
"error": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"status": 500,
"error": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Beta
Disclaimer: This beta endpoint is evolving; the API contract may change.
Returns Prometheus metrics for all PostgreSQL services in an organization. Maximum 100 services supported.
Returns Prometheus metrics for all PostgreSQL services in an organization. Maximum 100 services supported.
Authorizations
Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi
Path Parameters
ID of the requested organization.
Response
Successful response
The response is of type string.
Last modified on July 9, 2026
Was this page helpful?
⌘I
Get organization PostgreSQL metrics
